using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Security.Cryptography.X509Certificates;
using Microsoft.Azure.Cis.Activities.Contracts;
using Microsoft.Azure.Cis.Activities.Contracts.Planner;

namespace ConsoleApp1
{
    public class MyPlanCtx : IPlanContext
    {
        public ISettings GlobalSettings { get; set; }
        public IReadOnlySettings SystemSettings { get; set; }
        public void TraceStart(string format, params object[] args)
        {
            Console.WriteLine(format);
        }

        public void TraceStart(string message)
        {
            Console.WriteLine(message);
        }

        public void TraceStop(string format, params object[] args)
        {
            Console.WriteLine(format);
        }

        public void TraceStop(string message)
        {
            Console.WriteLine(message);
        }

        public void TraceVerbose(string format, params object[] args)
        {
            Console.WriteLine(format);
        }

        public void TraceVerbose(string message)
        {
            Console.WriteLine(message);
        }

        public void TraceInfo(string format, params object[] args)
        {
            Console.WriteLine(format);
        }

        public void TraceInfo(string message)
        {
            Console.WriteLine(message);
        }

        public void TraceWarning(string format, params object[] args)
        {
            Console.WriteLine(format);
        }

        public void TraceWarning(string message)
        {
            Console.WriteLine(message);
        }

        public void TraceError(string format, params object[] args)
        {
            Console.WriteLine(format);
        }

        public void TraceError(string message)
        {
            Console.WriteLine(message);
        }

        public TraceSource GetActiveTraceSource()
        {
            Console.WriteLine("GA");
            return null;
        }

        public TraceListener GetActivityContextTraceListener()
        {
            Console.WriteLine("GATL");
            return null;
        }

        public string GetCredentialSetting(CredentialSettingType credentialSettingType, string securityId)
        {
            Console.WriteLine("GCR");
            return null;
        }

        public X509Certificate2 GetManagedTenantCert()
        {
            Console.WriteLine("GMTC");
            return null;
        }

        public X509Certificate2 GetProtectedSciTenantCert()
        {
            Console.WriteLine("GPST");
            return null;
        }

        public string Tenant { get; set; }
    }
}